Page MenuHomePhabricator

Develop a starter kit for small wikis containing a recommended set of Templates, Gadgets, Bots, Tools, etc
Closed, ResolvedPublic

Description

What a starter kit means?

Starter kit is a set of recommended tools, templates, gadgets, bots, etc to help small wikis get started.

https://meta.wikimedia.org/wiki/Small_wiki_toolkits/Starter_kit

Technical areas starter kit will cover
  • Templates
  • Bots
  • Tools
  • User scripts and Gadgets
  • <Add a topic>
TODOS

Help expand the list of topics (listed above) that the starter kit should cover and develop recommendations for each topic. See existing tasks:

T246734: Small Wiki Toolkits: How-to guidelines and/or potential recommendations for AbuseFilter
T246180: Small Wiki Toolkits: How-to guidelines and/or potential recommendations for Templates
T246181: Small Wiki Toolkits: How-to guidelines and/or potential recommendations for Gadgets
T246182: Small Wiki Toolkits: How-to guidelines and/or potential recommendations for Tools
T246183: Small Wiki Toolkits: How-to guidelines and/or potential recommendations for Bots & Tools

Related Objects

Event Timeline

srishakatux updated the task description. (Show Details)
This comment was removed by Aklapper.
This comment was removed by Aklapper.
Zack added a subscriber: Zack.Feb 11 2020, 9:04 AM
Restricted Application added a subscriber: alanajjar. · View Herald TranscriptFeb 11 2020, 9:04 AM
Aklapper updated the task description. (Show Details)

Another "See Also" item would be site configuration changes, that's already documented at https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests so I'm not going to create a subtask, for the time being.

srishakatux triaged this task as Medium priority.Apr 3 2020, 11:39 PM
srishakatux added a project: Goal.
srishakatux updated the task description. (Show Details)Apr 9 2020, 2:12 AM

A possible addition to the list of topics are some small stuff (not as complex as making a bot or even a tool) / task like T251050. In this particular case, it's hard to expect small (to medium) size wikis have someone who's comfortable with gerrit or even code in general.

@Gabrielchl: Hi, thanks for your comment! Stuff like T251050 is already covered by "Site configuration" on https://meta.wikimedia.org/wiki/Small_wiki_toolkits which links to https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests .
Now that page explicitly says "If you do not want to contribute technically, follow [[meta:Requesting wiki configuration changes]] instead."
Is that sufficient, or do you have any proposals or ideas what else could be improved?

@Aklapper Ahhh, missed that, looks good then, sorry and thanks a lot.

https://www.mediawiki.org/wiki/Topic:Vler3fzjigri6dfx is another good example for a smaller community needing help with their broken JavaScript in MediaWiki:Common.js. I tried to help a bit under my volunteer account but I don't think I was successful.
I'd welcome if someone could tell me how I/we could do better when it comes to communication and documentation in such cases. :-/

Aklapper updated the task description. (Show Details)Jul 21 2020, 11:33 AM
srishakatux closed this task as Resolved.Jul 22 2020, 4:18 PM

Thanks, everyone who contributed to this task :-) Starter Kit is available here now https://meta.wikimedia.org/wiki/Small_wiki_toolkits/Starter_kit! If you have any further suggestions to improve the resource, feel free to file another task and tag it with Small-Wiki-Toolkits.